<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Beitrag bearbeiten</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/public/img/favicon.ico}" sizes="32x32">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>our awesome blog</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.5/css/bulma.min.css">
    <link rel="stylesheet" href="/style.css"/>
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
</head>
<body>
<section class="section">
    <nav class="navbar dunkelgrün has-text-weight-semibold is-fixed-top is-spaced 2 "
         role="navigation"
         aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <a href="/beitraege"><span
                        class="has-text-weight-bold is-size-3 has-text-black">OurAwesomeBlog</span></a>
            </div>
            <div class="navbar-end">
                <a class="navbar-item" th:href="@{/login}" th:if="${sessionNutzer == null}">Login</a>

                <a class="navbar-item" th:href="@{/registrieren}" th:if="${sessionNutzer == null}">Registrieren</a>

                <form class="navbar-item" th:if="${sessionNutzer != null}" method="post" th:action="@{/logout}">
                    <button class="button dunkelgrün" type="submit">Logout</button>
                </form>

            </div>
        </div>
    </nav>
</section>
<div>
    <section class="section is-paddingless">
        <div class="container is-paddingless">
            <div class="tile is-ancestor is-paddingless">
                <section>
                    <article class="tile is-parent">
                        <div class="tile is-child is-12 box helleresgrün">
                            <p class="has-text-weight-bold" has-text-weight-bold>Beitrag bearbeiten:</p>
                            <form th:object="${beitrag}" th:action="@{/beitraege}" method="post">
                                <p>Titel: <input class="input" type="text" th:value="*{beitragTitel}"
                                                 th:field="*{beitragTitel}"></p>
                                <br>
                                <p>Inhalt: <textarea class="textarea" placeholder="Inhalt" name="beitragText" id=""
                                                     cols="80" rows="15"
                                                     th:value="*{beitragText}" th:field="*{beitragText}"></textarea>
                                <p>
                                    <button class="button rose" type="submit">Korrekturen übernehmen</button>
                                </p>
                            </form>
                        </div>
                        <br>
                    </article>
                </section>
            </div>
        </div>
    </section>
</div>
<footer class="footer has-text-centered ">
    <strong>OurAwesomeBlog</strong> by Jessica Gettkandt and Moritz Bechtold.
</footer>
</body>
</html>